#include "GLRandomNumbersGenerator.h"
#include "gl_utils.h"

/**
 * Function to shuffle elements of vector. Somehow I do not trust the
 * implementation of stl algorithm random_shuffle.
 * @param v vector to be shuffled.
 */
template <class T>
void gl_shuffle_vector(vector<T>& v)
{
  int size = v.size();
  //shuffle elements in vector.
  for(int i = 0; i < size; i++)
    {
      //choose random integer between i and size
      //[i; size)
      int j = GLRandomNumbersGenerator::getRandomInteger(i, size);
      //swap i-th and j-th elements of the vector.
      if (i == j) continue;
      int tmp = v[j];
      v[j] = v[i];
      v[i] = tmp;
    }
}//gl_shuffle_vector
