#ifndef NLRUNTIMEERROR_H_
#define NLRUNTIMEERROR_H_

#include <stdexcept>
#include <string>
using namespace std;
namespace nlutils
{
/**
 * Error to be thrown in case of logical (usually non-critical) error.
 */
class NLRuntimeError: public runtime_error
{
public: 
  /**
   * Creates the RuntimeError class.
   * @param msg message associated with the error.
   */
  NLRuntimeError(const string& msg = ""):
      runtime_error(msg)
   {}
  
  /**
   * Just a destructor.
   */
   virtual ~NLRuntimeError() throw(){};
};//NLRuntimeError
}
#endif /*NLRUNTIMEERROR_H_*/
