#ifndef GLBASEORGANISMINITIALISER_H_
#define GLBASEORGANISMINITIALISER_H_

class GLBaseOrganism;

/**
 * Class for initialising organism with some value.
 */
class GLBaseOrganismInitialiser
{
public:
/**
 * Initialise initialiser.
 */	
  GLBaseOrganismInitialiser() {}
  /**
   * Destroy initialiser.
   */
  virtual ~GLBaseOrganismInitialiser() {}
  
  /**
   * Creates and initialise organism.
   * @return pointer to the organism initialised with some initial value.
   */
  virtual GLBaseOrganism* initialiseOrganism() = 0;
};

#endif /*GLBASEORGANISMINITIALISER_H_*/
