#ifndef GLINTERFACEEXCHANGEABLEGENES_H_
#define GLINTERFACEEXCHANGEABLEGENES_H_

/**
 * Interface for organisms which can swap 2  genes.
*/
class GLInterfaceExchangeableGenes
{
public:
  /**
   * Swap 2 genes.
   * @param first index of the first gene.
   * @param second index of the second gene.
  */
  virtual void exchangeGenes(int first, int second) = 0;
}; //GLExchangableGenesInterface

#endif /*GLINTERFACEEXCHANGEABLEGENES_H_*/
