#ifndef GLLOGICERROR_H_
#define GLLOGICERROR_H_

#include <stdexcept>
#include <string>
using namespace std;

/**
 * Class to be thrown in case of logical error.
 */
class GLLogicError: public logic_error
{
public: 
  /**
   * Creates the LogicError class.
   * @param msg message associated with the error.
   */
   GLLogicError(const string& msg = ""):
          logic_error(msg)
        {}
   /**
    * Simple destructor.
    */
   virtual ~GLLogicError() throw(){};
};//GLLogicError

#endif /*GLLOGICERROR_H_*/
