#include "GLCrossoverVectorKeepMatching.cpp"
#include "GLOrganismVector.h"
#include "GLOrganismVector.cpp"
#include "GLFitness.h"
#include "GLFitness.cpp"
#include "GLFitnessSingleObjective.h"
#include "GLFitnessSingleObjective.cpp"
#include "GLIterators.h"
#include "GLIteratorStorageStl.cpp"
#include "gl_utils_templates.cpp"

//Instantiate integer vector.
template class GLOrganismVector<int>;
//Instantiate single fitness function
template class GLFitness<int>;
template class GLFitnessSingleObjective<int>;
template class GLFitness<double>;
template class GLFitnessSingleObjective<double>;
//instantiate classes for iterators
template class GLIterator<GLBaseOrganism*>;
template class GLIterator<const GLBaseOrganism*>;
template class GLBidirectionalIterator<GLBaseOrganism*>;
template class GLBidirectionalIterator<const GLBaseOrganism*>;
template class GLIteratorStorageStl<TGLVectorOfOrganisms,
               TGLVectorOfOrganisms::iterator,
               GLBaseOrganism*>;
template class GLIteratorStorageStl<const TGLVectorOfOrganisms,
               TGLVectorOfOrganisms::const_iterator,
               const GLBaseOrganism* const>;
template class GLIteratorStorageStl<TGLSetOfOrganisms,
               TGLSetOfOrganisms::iterator,
               GLBaseOrganism*>;
template class GLIteratorStorageStl<const TGLSetOfOrganisms,
               TGLSetOfOrganisms::const_iterator,
               const GLBaseOrganism* const>;
template class GLCrossoverVectorKeepMatching<int>;
template void gl_shuffle_vector(vector<int>&);
